Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::action::sort_fn::ConceptImpl Struct Reference

## Public Member Functions
template<typename Rng , typename C = ordered_less, typename P = ident, typename I = range_iterator_t<Rng>>
auto | requires_ (Rng &&, C &&=C{}, P &&=P{}) -> decltype( concepts::valid_expr( concepts::model_of< concepts::ForwardRange, Rng >(), concepts::is_true(Sortable< I, C, P >()) ))